Summary: The C++ DAP2 library from OPeNDAP
Name: libdap
Version: 3.20.10
Release: 5%{?dist}
License: LGPL-2.1-or-later
URL: http://www.opendap.org/
Source0: %{url}pub/source/libdap-%{version}.tar.gz
Patch3000: libdap-offline.patch
Patch3001: https://github.com/OPENDAP/libdap4/pull/192.patch
Patch3002: libdap-include.patch

BuildRequires: make gcc-c++
BuildRequires: libtool pkgconfig cppunit-devel flex
BuildRequires: doxygen graphviz bison >= 3.0 libxml2-devel
BuildRequires: curl-devel libtirpc-devel libuuid-devel openssl-devel
Provides: bundled(gnulib)


%description
This package provides the library, dap-config, and getdap. The libdap++ library provides an 
implementation of DAP2. The script dap-config simplifies using the library in other projects. 
The getdap utility is a simple command-line tool to read from DAP2 servers. 


%package devel
Summary: Development and header files from libdap
Requires: %{name} = %{version}-%{release}
Requires: curl-devel libxml2-devel
Requires: pkgconfig automake

%description devel
This package provides all the files needed to develop applications that will use libdap.


%package doc
Summary: Documentation of the libdap library

%description doc
This package provides the documentation of the libdap library.


%prep
%autosetup -n %{name}-%{version} -p1
iconv -f latin1 -t utf8 < COPYRIGHT_W3C > COPYRIGHT_W3C.utf8
touch -r COPYRIGHT_W3C COPYRIGHT_W3C.utf8
mv COPYRIGHT_W3C.utf8 COPYRIGHT_W3C


%build
autoreconf -fi
%configure --disable-static --disable-dependency-tracking

%make_build
make docs


%install
%make_install
mkdir -p %{buildroot}%{_libdir}/libdap
mv %{buildroot}%{_libdir}/libtest-types.a %{buildroot}%{_libdir}/libdap/
rm %{buildroot}%{_libdir}/*.la
mv %{buildroot}%{_bindir}/dap-config-pkgconfig %{buildroot}%{_bindir}/dap-config

rm -rf __dist_docs
cp -pr html __dist_docs

rm -f __dist_docs/*.map __dist_docs/*.md5

touch -r ChangeLog __dist_docs/*


%check
make check || :


%files
%license COPYRIGHT_W3C COPYING COPYRIGHT_URI
%doc README.md NEWS README.dodsrc
%{_bindir}/getdap
%{_bindir}/getdap4
%{_libdir}/libdap.so.27*
%{_libdir}/libdapclient.so.6*
%{_libdir}/libdapserver.so.7*
%{_mandir}/man1/getdap.1*
%{_mandir}/man1/getdap4.1*

%files devel
%{_libdir}/libdap.so
%{_libdir}/libdapclient.so
%{_libdir}/libdapserver.so
%{_libdir}/libdap/
%{_libdir}/pkgconfig/libdap*.pc
%{_bindir}/dap-config
%{_includedir}/libdap/
%{_datadir}/aclocal/*
%{_mandir}/man1/dap-config.1*

%files doc
%license COPYING COPYRIGHT_URI COPYRIGHT_W3C
%doc __dist_docs/


%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.20.10-5
- Rebuilt for loongarch release

* Thu Oct 12 2023 Miaojun Dong <zoedong@tencent.com> - 3.20.10-4
- Rebuild for curl-8.4.0

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.20.10-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.20.10-2
- Rebuilt for OpenCloudOS Stream 23.05

* Thu Apr 20 2023 Wang Guodong <gordonwwang@tencent.com> - 3.20.10-1
- initial build
